Advisory Details

January 10th, 2011

Hewlett-Packard OpenView Network Node Manager nnmRptConfig.exe Remote Code Execution Vulnerability

ZDI-11-012
ZDI-CAN-936

CVE ID CVE-2011-0270
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Hewlett-Packard
AFFECTED PRODUCTS OpenView Network Node Manager
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 10769. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of HP Network Node Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within nnmRptConfig.exe CGI which is exposed by the webserver which listens by default on TCP port 80. When parsing an invalid template name the application uses user supplied data as a format specifier during creation of an error message. An attacker can exploit this vulnerability by supplying a specially crafted and invalid template name to execute arbitrary code under the context of the user.

ADDITIONAL DETAILS Hewlett-Packard has issued an update to correct this vulnerability. More details can be found at:
http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c02670501
DISCLOSURE TIMELINE
  • 2010-09-22 - Vulnerability reported to vendor
  • 2011-01-10 - Coordinated public release of advisory
CREDIT Aniway
BACK TO ADVISORIES